apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-nginx-delivery-api
  namespace: delivery-api
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/auth-url: http://api.localdev.me/auth/middleware/authenticate
    nginx.ingress.kubernetes.io/auth-response-headers: UserID
    nginx.ingress.kubernetes.io/auth-snippets: |
      proxy_set_header FromUrl $request_uri; proxy_set_header Method $request_method;
spec:
  ingressClassName: nginx
  rules:
  - host: api.localdev.me
    http:
      paths:
      - path: /delivery(/|$)(.*)
        pathType: Prefix
        backend:
          service:
            name: delivery-api
            port:
              number: 80